Summary: GNU g++ library
Name: libg++
Version: 2.7.2.8
Release: 6
Copyright: LGPL
Group: Libraries
Source: ftp://prep.ai.mit.edu/pub/gnu/libg++-2.7.2.tar.gz
Patch0: ftp://tsx-11.mit.edu/pub/linux/packages/GCC/libg++-2.7.2-2.7.2.7.diff.gz
Patch1: ftp://tsx-11.mit.edu/pub/linux/packages/GCC/libg++-2.7.2.7-2.7.2.8.diff.gz

%changelog

* Mon Oct 13 1997 Donnie Barnes <djb@redhat.com>

- spec file cleanups

%description
This is the GNU implementation of the standard C++ libraries, along
with additional GNU tools.
This package includes the shared libraries necessary to run C++
applications.

%package devel
Summary: Header files and libraries for C++ development
Group: Development/Libraries
Requires: libg++
Prereq: /sbin/install-info

%description devel
This is the GNU implementation of the standard C++ libraries, along with
additional GNU tools.  The GNU C++ library, libg++ is an attempt to
provide a variety of C++ programming tools and other support to GNU C++
programmers. This package includes the header files and libraries needed
for C++ development. 

%prep
%setup -n libg++-2.7.2
%patch0 -p1
%patch1 -p1

%build

OS=`echo $RPM_OS | tr '[A-Z]' '[a-z]'`
./configure --prefix=/usr --with-shared --enable-shared ${RPM_ARCH}-redhat-${OS}-gnu
make

%install
rm -f /usr/info/libg++.info*
rm -f /usr/info/libstdc++.info*
make install
(cd libg++ ; make install-info;gzip -9 /usr/info/libg++.info*)
(cd libio ; make install-info)

%ifarch i386
rm -rf /usr/i586-unknown-linux
%endif
%ifarch sparc
rm -rf /usr/sparc-unknown-linux
%endif
%ifarch alpha
rm -rf /usr/alpha-unknown-linux
%endif

/sbin/ldconfig

%post -p /sbin/ldconfig

%post devel
/sbin/install-info /usr/info/libg++.info.gz /usr/info/dir
/sbin/install-info /usr/info/iostream.info.gz /usr/info/dir

%postun -p /sbin/ldconfig

%preun devel
if [ $1 = 0 ]; then
    /sbin/install-info --delete /usr/info/libg++.info.gz /usr/info/dir
    /sbin/install-info --delete /usr/info/iostream.info.gz /usr/info/dir
fi

%files
/usr/lib/libstdc++.so.2.7.2
/usr/lib/libstdc++.so.2.7.2.8
/usr/lib/libg++.so.2.7.2
/usr/lib/libg++.so.2.7.2.8

%files devel
/usr/include/g++
/usr/lib/libstdc++.a
/usr/lib/libg++.a
/usr/bin/genclass
/usr/bin/gperf
/usr/man/man1/gperf.1
/usr/info/libg++.info*
/usr/info/iostream.info*
/usr/lib/libg++.so
/usr/lib/libstdc++.so
